import { sql } from "drizzle-orm";
import {
  pgTableCreator,
  serial,
  timestamp,
  varchar,
} from "drizzle-orm/pg-core";

export const createTable = pgTableCreator((name) => `${name}`);

export const users = createTable(
  "user",
  {
    id: serial("id").primaryKey(),
    name: varchar("name", { length: 256 }),
    message: varchar("message", { length: 256 }),
    pushToken: varchar("push_token", { length: 256 }),
    createdAt: timestamp("created_at", { withTimezone: true })
      .default(sql`CURRENT_TIMESTAMP`)
      .notNull(),
  },
);

export const countdown = createTable(
  "countdown",
  {
    id: serial("id").primaryKey(),
    date: timestamp("date", { withTimezone: true }),
  },
);
